<?php

use Slim\App;

return function (App $app) {
    $app->get('/', [\App\Controller\Main::class, 'main']);
    $app->post('/operator/login', [\App\Controller\Operator::class, 'operatorLogin']);
    $app->post('/operator/updatePassword', [\App\Controller\Operator::class, 'updatePassword']);
    $app->post('/operator/sendResetPasswordEmail', [\App\Controller\Operator::class, 'sendResetPasswordEmail']);
    $app->post('/operator/resetPassword', [\App\Controller\Operator::class, 'resetPassword']);
    $app->post('/operator/accessProfile', [\App\Controller\Operator::class, 'getAccessProfileByOperator']);

    $app->get('/order/branch', [\App\Controller\Order::class, 'getBranchList']);
    $app->get('/order/number', [\App\Controller\Order::class, 'getOrderNumber']);
    $app->get('/order/consumer', [\App\Controller\Order::class, 'getConsumers']);
    $app->post('/order/history', [\App\Controller\Order::class, 'history']);
    $app->post('/order/cancel', [\App\Controller\Order::class, 'cancel']);
    $app->post('/order/paymentMethods', [\App\Controller\Order::class, 'getPaymentMethods']);
    $app->post('/order/itemsRepo', [\App\Controller\Order::class, 'getOrderItemsRepo']);
    $app->post('/order/itemObservation', [\App\Controller\Order::class, 'getItemObservation']);
    $app->post('/order/dashboard', [\App\Controller\Dashboard::class, 'dashboard']);
    $app->post('/order/forwardOrder', [\App\Controller\Order::class, 'forwardOrder']);

    $app->get('/branch/storeBlock', [\App\Controller\Branch::class, 'getUnits']);
    $app->post('/branch/blockStores', [\App\Controller\Branch::class, 'blockStores']);
    $app->post('/branch/unlockStores', [\App\Controller\Branch::class, 'unlockStores']);
    $app->get('/control/branch/productBlock', [\App\Controller\Branch::class, 'getBlockedProductUnits']);
    $app->post('/control/branch/availableProductsRepository', [\App\Controller\Branch::class, 'getAvailableProductsByUnit']);
    $app->post('/control/branch/blockProducts', [\App\Controller\Branch::class, 'blockProducts']);
    $app->post('/control/branch/unblockProducts', [\App\Controller\Branch::class, 'unblockProducts']);

    $app->get('/delay/store', [\App\Controller\Delay::class, 'getStore']);
    $app->get('/delay/filter', [\App\Controller\Delay::class, 'filter']);
    $app->post('/delay/updateDelay', [\App\Controller\Delay::class, 'updateDelay']);

    $app->get('/logTracking/errorLogs', [\App\Controller\LogTracking::class, 'errorLogs']);
    $app->get('/logTracking/selectTableInteg', [\App\Controller\logTracking::class, 'selectTableInteg']);
    $app->get('/logTracking/selectTableFilial', [\App\Controller\logTracking::class, 'selectTableFilial']);
    $app->post('/logTracking/deleteLogs', [\App\Controller\logTracking::class, 'deleteLogs']);
    $app->post('/logTracking/logDetails', [\App\Controller\logTracking::class, 'getLogDetails']);

    $app->post('/callcenter/getStores', [\App\Controller\Store::class, 'getStores']);
    $app->post('/callcenter/getStoreScheduledIntervals', [\App\Controller\Store::class, 'getStoreScheduledIntervals']);
    $app->post('/callcenter/getConsumersByPhone', [\App\Controller\Consumer::class, 'getConsumersByPhone']);
    $app->post('/callcenter/getConsumerAddresses', [\App\Controller\Consumer::class, 'getConsumerAddresses']);
    $app->post('/callcenter/addConsumer', [\App\Controller\Consumer::class, 'addConsumer']);
    $app->post('/callcenter/updateConsumer', [\App\Controller\Consumer::class, 'updateConsumer']);
    $app->post('/callcenter/addAdditionalAddress', [\App\Controller\Address::class, 'addAdditionalAddress']);
    $app->post('/callcenter/deleteAdditionalAddress', [\App\Controller\Address::class, 'deleteAdditionalAddress']);
    $app->post('/callcenter/updateAddress', [\App\Controller\Address::class, 'updateAddress']);
    $app->post('/callcenter/getBranchs', [\App\Controller\Branch::class, 'getBranchs']);

    $app->post('/reports/exportPDF', [\App\Controller\Reports::class, 'exportPDF']);
    $app->post('/reports/exportXLS', [\App\Controller\Reports::class, 'exportXLS']);

    $app->post('/control/iFoodMenu/updateMenu', [\App\Controller\IFoodMenu::class, 'updateMenu']);
    $app->post('/control/iFoodMenu/getMerchantInfo', [\App\Controller\IFoodMenu::class, 'getMerchantInfo']);
    $app->get('/control/iFoodMenu/listMenus', [\App\Controller\IFoodMenu::class, 'listMenus']);
    $app->get('/control/iFoodMenu/getMenu', [\App\Controller\IFoodMenu::class, 'getCategory']);
    $app->get('/control/iFoodMenu/getMenuStatus', [\App\Controller\IFoodMenu::class, 'getMenuStatus']);
    $app->get('/control/iFoodMenu/merchantAvailability', [\App\Controller\IFoodMenu::class, 'merchantAvailability']);

    $app->get('/control/integrations/getSubsidiaryByIntegrationCode', [\App\Controller\Integrations::class, 'getSubsidiaryByIntegrationCode']);
    $app->get('/control/integrations/getSubsidiaryIdToken', [\App\Controller\Integrations::class, 'getSubsidiaryIdToken']);
    $app->get('/control/integrations/getAlterationLogs', [\App\Controller\Integrations::class, 'getAlterationLogs']);
    $app->get('/control/integrations/getProducts', [\App\Controller\Integrations::class, 'getProducts']);
    $app->get('/control/integrations/getOccurrences', [\App\Controller\Integrations::class, 'getOccurrences']);
    $app->get('/control/integrations/checkSkuExsists', [\App\Controller\Integrations::class, 'checkSkuExsists']);
    $app->get('/control/integrations/checkOccurrenceExists', [\App\Controller\Integrations::class, 'checkOccurrenceExists']);
    $app->get('/control/integrations/getCdIntegracaoByIdIntegracao', [\App\Controller\Integrations::class, 'getCdIntegracaoByIdIntegracao']);

    $app->post('/control/rappiMenu/updateMenu', [\App\Controller\RappiMenu::class, 'updateMenu']);
    $app->get('/control/rappiMenu/getMenu', [\App\Controller\RappiMenu::class, 'getMenu']);
    $app->get('/control/rappiMenu/listMenus', [\App\Controller\RappiMenu::class, 'listMenus']);
    $app->get('/control/rappiMenu/getMenuStatus', [\App\Controller\RappiMenu::class, 'getMenuStatus']);

    $app->get('/layout/getLayout', [\App\Controller\Layout::class, 'getLayout']);
    $app->post('/layout/saveLayout', [\App\Controller\Layout::class, 'saveLayout']);
    $app->post('/layout/updateLayout', [\App\Controller\Layout::class, 'updateLayout']);
    $app->post('/layout/deleteLayout', [\App\Controller\Layout::class, 'deleteLayout']);

    //Odhen Interface
    $app->post('/menu/getByPos', [\App\Controller\Menu::class, 'getByPos']);

};